/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/**
 * 
 */
package jp.mosp.kintai.payroll.vo;

import javax.servlet.http.HttpServletRequest;

import jp.mosp.common.CommonConst;
import jp.mosp.common.MosPMenuConst;
import jp.mosp.common.MosPVo;
import jp.mosp.common.utils.DateUtil;
import jp.mosp.common.utils.TimeUtil;
import jp.mosp.kintai.payroll.dto.KdSubstituteHolidayDto;

/**
 * @author saitou
 *
 */
public class SubHolidayCardVo extends MosPVo {
	
	/**
	 * 
	 */
	private static final long	serialVersionUID	= -7228282138078823959L;
	
	// パラメータ名
	/**
	 * pltDelete
	 */
	public static final String	PRM_PLT_DELETE		= "pltDelete";
	
	// フィールド
	/**
	 * 発生年
	 */
	private String				lblOccurYear;
	/**
	 * 発生月
	 */
	private String				lblOccurMonth;
	/**
	 * 締切日
	 */
	private String				lblCloseDate;
	/**
	 * 期限開始日
	 */
	private String				lblLimitStartDate;
	/**
	 * 期限終了日
	 */
	private String				lblLimitEndDate;
	/**
	 * 意向状況
	 */
	private String				lblAttitudeStatus;
	/**
	 * 代替休暇取得時間外
	 */
	private String				lblPaymentAcquireTime;
	/**
	 * 代替休暇取得休日時間外
	 */
	private String				lblPaymentAcquireHoliday;
	/**
	 * 代替休暇放棄時間外
	 */
	private String				lblPaymentQuitTime;
	/**
	 * 利用時間
	 */
	private String				lblUseHoliday;
	/**
	 * 取得状況
	 */
	private String				lblAcquisitionStatus;
	/**
	 * 代休決済による時間外清算時間
	 */
	private String				lblLiquidationOverTime;
	/**
	 * 代休決済による休日時間外清算時間
	 */
	private String				lblLiquidationWeekHoliday;
	/**
	 * 決済状況
	 */
	private String				lblDecisionStatus;
	/**
	 * 削除フラグ
	 */
	private String				pltDelete;
	
	// フィールド名及び制限
	/**
	 * 社員コード
	 */
	public String				NAM_K_CODE;
	/**
	 * 社員名
	 */
	public String				NAM_K_NAME;
	/**
	 * 発生年月
	 */
	public String				NAM_OCCUR_YEARMONTH;
	/**
	 * 締切日
	 */
	public String				NAM_CLOSE_DATE;
	/**
	 * 期限開始日
	 */
	public String				NAM_LIMIT_START_DATE;
	/**
	 * 期限終了日
	 */
	public String				NAM_LIMIT_END_DATE;
	/**
	 * 意向状況
	 */
	public String				NAM_ATTITUDE_STATUS;
	/**
	 * 代替休暇取得時間外
	 */
	public String				NAM_PAYMENT_ACQUIRE_TIME;
	/**
	 * 代替休暇取得休日時間外
	 */
	public String				NAM_PAYMENT_ACQUIRE_HOLIDAY;
	/**
	 * 代替休暇放棄時間外
	 */
	public String				NAM_PAYMENT_QUIT_TIME;
	/**
	 * 利用時間
	 */
	public String				NAM_USE_HOLICAY;
	/**
	 * 取得状況
	 */
	public String				NAM_ACQUISITION_STATUS;
	/**
	 * 代休決済による時間外清算時間
	 */
	public String				NAM_LIQUIDATION_OVER_TIME;
	/**
	 * 代休決済による休日時間外清算時間
	 */
	public String				NAM_LIQUIDATION_WEEK_HOLIDAY;
	/**
	 * 決済状況
	 */
	public String				NAM_DECISION_STATUS;
	/**
	 * 削除フラグ
	 */
	public String				NAM_DELETE_FLAG;
	

	/**
	 * コンストラクタ
	 */
	public SubHolidayCardVo() {
		super();
		setViewPath(getClassName());
		pltDelete = "";
	}
	
	@Override
	protected void setSubTitle() {
		subTitle = "代休管理";
		createAryMenu(CMD_MENU_PAYROLL, MosPMenuConst.getMenuSubHolidayManagement());
	}
	
	@Override
	protected void setFieldsName() {
		NAM_K_CODE = CommonConst.NAM_K_CODE;
		NAM_K_NAME = CommonConst.NAM_K_NAME;
		NAM_OCCUR_YEARMONTH = "発生年月";
		NAM_CLOSE_DATE = "締切日";
		NAM_LIMIT_START_DATE = "期限開始日";
		NAM_LIMIT_END_DATE = "期限終了日";
		NAM_ATTITUDE_STATUS = "意向状況";
		NAM_PAYMENT_ACQUIRE_TIME = "代休取得割当(平日)";
		NAM_PAYMENT_ACQUIRE_HOLIDAY = "代休取得割当(所定休日)";
		NAM_PAYMENT_QUIT_TIME = "代休放棄時間";
		NAM_USE_HOLICAY = "利用時間";
		NAM_ACQUISITION_STATUS = "取得状況";
		NAM_LIQUIDATION_OVER_TIME = "時間外清算時間(平日)";
		NAM_LIQUIDATION_WEEK_HOLIDAY = "時間外清算時間(所定休日)";
		NAM_DECISION_STATUS = "決済状況";
		NAM_DELETE_FLAG = CommonConst.NAM_DELETE_FLAG;
	}
	
	@Override
	public void setParams(HttpServletRequest request) {
		pltDelete = request.getParameter(PRM_PLT_DELETE);
	}
	
	/**
	 * フィールド設定
	 * @param dto 対象DTO
	 */
	public void setFields(KdSubstituteHolidayDto dto) {
		lblOccurYear = String.valueOf(dto.getOccurYear());
		lblOccurMonth = String.valueOf(dto.getOccurMonth());
		lblCloseDate = DateUtil.convDateToFormatDateJP(dto.getCloseDate());
		lblLimitStartDate = DateUtil.convDateToFormatDateJP(dto.getLimitStartDate());
		lblLimitEndDate = DateUtil.convDateToFormatDateJP(dto.getLimitEndDate());
		lblAttitudeStatus = dto.getAttitudeStatus();
		lblPaymentAcquireTime = TimeUtil.convIntegerTimeToJPHours(dto.getPaymentAcquireTime());
		lblPaymentAcquireHoliday = TimeUtil.convIntegerTimeToJPHours(dto.getPaymentAcquireHoliday());
		lblPaymentQuitTime = TimeUtil.convIntegerTimeToJPHours(dto.getPaymentQuitTime());
		lblUseHoliday = TimeUtil.convIntegerTimeToJPHours(dto.getUseHolidayTime());
		lblAcquisitionStatus = dto.getAcquisitionStatus();
		lblLiquidationOverTime = TimeUtil.convIntegerTimeToJPHours(dto.getLiquidationOverTime());
		lblLiquidationWeekHoliday = TimeUtil.convIntegerTimeToJPHours(dto.getLiquidationWeekHoliday());
		lblDecisionStatus = dto.getDecisionStatus();
		pltDelete = String.valueOf(dto.getDeleteFlag());
	}
	
	/**
	 * @return lblOccurYear
	 */
	public String getLblOccurYear() {
		return lblOccurYear;
	}
	
	/**
	 * @return lblOccurMonth
	 */
	public String getLblOccurMonth() {
		return lblOccurMonth;
	}
	
	/**
	 * @return lblCloseDate
	 */
	public String getLblCloseDate() {
		return lblCloseDate;
	}
	
	/**
	 * @return lblLimitStartDate
	 */
	public String getLblLimitStartDate() {
		return lblLimitStartDate;
	}
	
	/**
	 * @return lblLimitEndDate
	 */
	public String getLblLimitEndDate() {
		return lblLimitEndDate;
	}
	
	/**
	 * @return lblAttitudeStatus
	 */
	public String getLblAttitudeStatus() {
		return lblAttitudeStatus;
	}
	
	/**
	 * @return lblPaymentAcquireTime
	 */
	public String getLblPaymentAcquireTime() {
		return lblPaymentAcquireTime;
	}
	
	/**
	 * @return lblPaymentAcquireHoliday
	 */
	public String getLblPaymentAcquireHoliday() {
		return lblPaymentAcquireHoliday;
	}
	
	/**
	 * @return lblPaymentQuitTime
	 */
	public String getLblPaymentQuitTime() {
		return lblPaymentQuitTime;
	}
	
	/**
	 * @return lblUseHoliday
	 */
	public String getLblUseHoliday() {
		return lblUseHoliday;
	}
	
	/**
	 * @return lblAcquisitionStatus
	 */
	public String getLblAcquisitionStatus() {
		return lblAcquisitionStatus;
	}
	
	/**
	 * @return lblLiquidationOverTime
	 */
	public String getLblLiquidationOverTime() {
		return lblLiquidationOverTime;
	}
	
	/**
	 * @return lblLiquidationWeekHoliday
	 */
	public String getLblLiquidationWeekHoliday() {
		return lblLiquidationWeekHoliday;
	}
	
	/**
	 * @return lblDecisionStatus
	 */
	public String getLblDecisionStatus() {
		return lblDecisionStatus;
	}
	
	/**
	 * @param lblOccurYear セットする lblOccurYear
	 */
	public void setLblOccurYear(String lblOccurYear) {
		this.lblOccurYear = lblOccurYear;
	}
	
	/**
	 * @param lblOccurMonth セットする lblOccurMonth
	 */
	public void setLblOccurMonth(String lblOccurMonth) {
		this.lblOccurMonth = lblOccurMonth;
	}
	
	/**
	 * @param lblCloseDate セットする lblCloseDate
	 */
	public void setLblCloseDate(String lblCloseDate) {
		this.lblCloseDate = lblCloseDate;
	}
	
	/**
	 * @param lblLimitStartDate セットする lblLimitStartDate
	 */
	public void setLblLimitStartDate(String lblLimitStartDate) {
		this.lblLimitStartDate = lblLimitStartDate;
	}
	
	/**
	 * @param lblLimitEndDate セットする lblLimitEndDate
	 */
	public void setLblLimitEndDate(String lblLimitEndDate) {
		this.lblLimitEndDate = lblLimitEndDate;
	}
	
	/**
	 * @param lblAttitudeStatus セットする lblAttitudeStatus
	 */
	public void setLblAttitudeStatus(String lblAttitudeStatus) {
		this.lblAttitudeStatus = lblAttitudeStatus;
	}
	
	/**
	 * @param lblPaymentAcquireTime セットする lblPaymentAcquireTime
	 */
	public void setLblPaymentAcquireTime(String lblPaymentAcquireTime) {
		this.lblPaymentAcquireTime = lblPaymentAcquireTime;
	}
	
	/**
	 * @param lblPaymentAcquireHoliday セットする lblPaymentAcquireHoliday
	 */
	public void setLblPaymentAcquireHoliday(String lblPaymentAcquireHoliday) {
		this.lblPaymentAcquireHoliday = lblPaymentAcquireHoliday;
	}
	
	/**
	 * @param lblPaymentQuitTime セットする lblPaymentQuitTime
	 */
	public void setLblPaymentQuitTime(String lblPaymentQuitTime) {
		this.lblPaymentQuitTime = lblPaymentQuitTime;
	}
	
	/**
	 * @param lblUseHoliday セットする lblUseHoliday
	 */
	public void setLblUseHoliday(String lblUseHoliday) {
		this.lblUseHoliday = lblUseHoliday;
	}
	
	/**
	 * @param lblAcquisitionStatus セットする lblAcquisitionStatus
	 */
	public void setLblAcquisitionStatus(String lblAcquisitionStatus) {
		this.lblAcquisitionStatus = lblAcquisitionStatus;
	}
	
	/**
	 * @param lblLiquidationOverTime セットする lblLiquidationOverTime
	 */
	public void setLblLiquidationOverTime(String lblLiquidationOverTime) {
		this.lblLiquidationOverTime = lblLiquidationOverTime;
	}
	
	/**
	 * @param lblLiquidationWeekHoliday セットする lblLiquidationWeekHoliday
	 */
	public void setLblLiquidationWeekHoliday(String lblLiquidationWeekHoliday) {
		this.lblLiquidationWeekHoliday = lblLiquidationWeekHoliday;
	}
	
	/**
	 * @param lblDecisionStatus セットする lblDecisionStatus
	 */
	public void setLblDecisionStatus(String lblDecisionStatus) {
		this.lblDecisionStatus = lblDecisionStatus;
	}
	
	/**
	 * @return pltDelete
	 */
	public String getPltDelete() {
		return pltDelete;
	}
	
	/**
	 * @param pltDelete セットする pltDelete
	 */
	public void setPltDelete(String pltDelete) {
		this.pltDelete = pltDelete;
	}
	
}
